
QGIS Application - Bug report #5688

Presence of an empty shapefile issues a zoom bug

2012-05-31 07:59 AM - I. Rinn

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:1.7.4 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15223

Description

If amongst the layers there's a shapefile without features (empty), zooming to all layers leads to an extension of the map with very very

small scale (12 digits at denominator!).

The issue is independent by the CRS of layers and the map (tried with several CRS and with or without OTF projection).

History

#1 - 2012-09-04 12:09 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2013-09-22 02:11 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

seems fixed, at least in qgis 2.0
